import request from '@/utils/request';

//提交零售订单(支付一起)
export const createOrderApi = (data)=>{
  return request.post('/order/RetailOrder/createOrder', data);
}

//订单列表
export const orderListApi = (data)=>{
  return request.get('/order/retailOrder/order_list', data);
}

//订单详情
export const orderDetailApi = (data)=>{
  return request.get('/order/RetailOrder/detail', data);
}

//重新发起支付
export const rePaymentApi = (data)=>{
  return request.post('/order/RetailOrder/Repayment', data);
}

//订单数量统计
export const orderCountApi = (data)=>{
  return request.post('/order/RetailOrder/order_count', data);
}

//取消订单
export const cancelOrderApi = (data)=>{
  return request.post('/order/RetailOrder/cancel_order', data);
}

//订单确认收货
export const confirmReceiptApi = (data)=>{
  return request.post('/order/RetailOrder/confirm_receipt', data);
}

//订单再次购买
export const purchaseAgainApi = (data)=>{
  return request.get('/order/RetailOrder/purchase_again', data);
}